Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deOccludeRaster.cpp File Reference

software rasterizer for doing occlusion culling with More...

`#include "deOccludeRaster.hpp"`
`#include "deArray.hpp"`
`#include "deProfile.hpp"`

Include dependency graph for deOccludeRaster.cpp:

## Functions
void * | Internal_ASM_memset (void *Ptr1, int C, long Len)
void * | Internal_ASM_MMX_memset (void *Ptr1, int C, long Len)
DWORD | BiggestPow2SmallerThan (DWORD input)
DWORD | SmallestPow2BiggerThan (DWORD input)
template<class T> void | Swap (T &x, T &y)
float | SUB_PIX (const float input)
template<class T> void | ProjectVec4 (T &OutVec, const deVec4d &InVec)
template<class T> void | ProjectVec4NoZ (T &OutVec, const deVec4d &InVec)
## Variables
long | OcclusionTestProfileID = 0
long | OcclusionRenderProfileID = 0
long | OcclusionExtentsProfileID = 0
long | OcclusionHierarchyProfileID = 0
long | OcclusionClearProfileID = 0
float | half = 0.5f
const float * | phalf = &half

## Detailed Description

software rasterizer for doing occlusion culling with

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  May 2003

Author:
  Assassin

Remarks:
  Initial Creation

## Function Documentation

DWORD BiggestPow2SmallerThan | ( | DWORD | input | ) | `[inline, static]`

void* Internal_ASM_memset | ( | void * | Ptr1,
|  | int | C,
|  | long | Len
| ) |

void* Internal_ASM_MMX_memset | ( | void * | Ptr1,
|  | int | C,
|  | long | Len
| ) |

template<class T>
void ProjectVec4 | ( | T & | OutVec,
|  | const deVec4d & | InVec
| ) | `[inline, static]`

template<class T>
void ProjectVec4NoZ | ( | T & | OutVec,
|  | const deVec4d & | InVec
| ) | `[inline, static]`

DWORD SmallestPow2BiggerThan | ( | DWORD | input | ) | `[inline, static]`

float SUB_PIX | ( | const float | input | ) | `[inline, static]`

template<class T>
void Swap | ( | T & | x,
|  | T & | y
| ) | `[static]`

## Variable Documentation

float half = 0.5f`[static]`

long OcclusionClearProfileID = 0

long OcclusionExtentsProfileID = 0

long OcclusionHierarchyProfileID = 0

long OcclusionRenderProfileID = 0

long OcclusionTestProfileID = 0

const float* phalf = &half`[static]`